#!/bin/sh

VCSHOME="${VCS_HOME:-/opt/VRTSvcs}"
ro=`${VCSHOME}/bin/haclus -value ReadOnly`
if [ $ro -eq 1 ];
then
	${VCSHOME}/bin/haconf -makerw
fi
${VCSHOME}/bin/hatype -add SRDF
${VCSHOME}/bin/hatype -modify SRDF SourceFile "./SRDFTypes.cf"
${VCSHOME}/bin/hatype -modify SRDF ArgList SymHome GrpName DevFOTime AutoTakeover SplitTakeover Mode
${VCSHOME}/bin/hatype -modify SRDF ActionTimeout 180
${VCSHOME}/bin/hatype -modify SRDF OfflineMonitorInterval 0
${VCSHOME}/bin/hatype -modify SRDF MonitorInterval 300
${VCSHOME}/bin/hatype -modify SRDF RestartLimit 1
${VCSHOME}/bin/hatype -modify SRDF SupportedActions update ld2pd
${VCSHOME}/bin/hatype -modify SRDF NameRule "resource.GrpName"
${VCSHOME}/bin/haattr -add SRDF SymHome -string "/usr/symcli"
${VCSHOME}/bin/haattr -add SRDF GrpName -string
${VCSHOME}/bin/haattr -add SRDF DevFOTime -integer 2
${VCSHOME}/bin/haattr -add SRDF AutoTakeover -integer 0
${VCSHOME}/bin/haattr -add SRDF SplitTakeover -integer 0
${VCSHOME}/bin/haattr -add SRDF Mode -string
${VCSHOME}/bin/haattr -add -temp SRDF VCSResLock -string

${VCSHOME}/bin/hatype -add SRDFSnap
${VCSHOME}/bin/hatype -modify SRDFSnap ArgList TargetResName MountSnapshot UseSnapshot RequireSnapshot
${VCSHOME}/bin/haattr -add SRDFSnap TargetResName -string
${VCSHOME}/bin/haattr -add SRDFSnap MountSnapshot -integer
${VCSHOME}/bin/haattr -add SRDFSnap UseSnapshot -integer
${VCSHOME}/bin/haattr -add SRDFSnap RequireSnapshot -integer
${VCSHOME}/bin/haattr -add -temp SRDFSnap Responsibility -string
${VCSHOME}/bin/haattr -add -temp SRDFSnap FDFile -string
${VCSHOME}/bin/haattr -add -static SRDFSnap RegList -keylist MountSnapshot UseSnapshot

if [ $ro -eq 1 ];
then
	${VCSHOME}/bin/haconf -dump -makero
else
	${VCSHOME}/bin/haconf -dump
fi

